Name:           perl-Text-RecordParser
Version:        1.2.1
Release:        4%{?dist}
Summary:        Read record-oriented files
License:        GPLv2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-RecordParser/
Source0:        http://www.cpan.org/authors/id/K/KC/KCLARK/Text-RecordParser-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
#BuildRequires:  perl(List::Util)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Module::Build) 
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Text::TabularDisplay)
BuildRequires:  perl(version)
# test
BuildRequires:  perl(IO::Scalar) 
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%description
This module is for reading record-oriented data in a delimited text file.
The most common example have records separated by newlines and fields
separated by commas or tabs, but this module aims to provide a consistent
interface for handling sequential records in a file however they may be
delimited. Typically this data lists the fields in the first line of the
file, in which case you should call bind_header to bind the field name (or
not, and it will be called implicitly). If the first line contains data,
you can still bind your own field names via bind_fields. Either way, you
can then use many methods to get at the data as arrays or hashes.

%prep
%setup -q -n Text-RecordParser-v%{version}

perl -pi -e 's|^#!perl|#!/usr/bin/perl|' t/*.t

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO t/
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man[13]/*

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-4
- rebuild for new perl

* Wed May 16 2007 Chris Weyl <cweyl@alumni.drew.edu> v1.2.1-3
- bump

* Wed May 16 2007 Chris Weyl <cweyl@alumni.drew.edu> v1.2.1-2
- additional BR for test suite: perl(IO::Scalar)

* Mon May 14 2007 Chris Weyl <cweyl@alumni.drew.edu> v1.2.1-1
- Specfile autogenerated by cpanspec 1.71.
